/////////////////////////////////////////////////////////////
// CINEMA SDK : MENU PLUGINS															 //
/////////////////////////////////////////////////////////////
// VERSION    : CINEMA 4D V6 AMBER												 //
/////////////////////////////////////////////////////////////
// (c) 1989-2001 MAXON Computer GmbH, all rights reserved	 //
/////////////////////////////////////////////////////////////

#ifndef __C4D_MENUPLUGIN_H
#define __C4D_MENUPLUGIN_H

#include "ge_math.h"

class _String;
class _BaseContainer;
class BaseBitmap;
class BaseDocument;

#define MENUPLUGIN_FLAGS_HIDEMENU		(1)

struct MENUPLUGIN
{
	_String			*help;
	BaseBitmap	*icon;

	void				(*Execute				)(BaseDocument *doc);
	LONG				(*GetState			)(BaseDocument *doc);
	Bool				(*RestoreLayout )(void *secret);
	Bool				(*Message       )(const _BaseContainer *bc);

	LONG				flags;
};

#endif
