#include "c4d_painter.h"
#include "c4d_basecontainer.h"

void *SendPainterCommand(LONG command, BaseDocument *doc, PaintTexture *tex, BaseContainer *bc)
{
	if (bc && !bc->Get()) return FALSE;
	return C4DOS.Pa->SendPainterCommand(command,doc,tex,bc?bc->Get():NULL);
}

Bool OptimalMapping(PMStruct *pm_adr, Polygon *vadr, LONG vcnt, Vector *padr, LONG pcnt, Bool progressbar, BaseContainer *bc)
{
	if (bc && !bc->Get()) return FALSE;
	return C4DOS.Pa->OptimalMapping(pm_adr,vadr,vcnt,padr,pcnt,progressbar,bc?bc->Get():NULL);
}
