#ifndef __c4d_plugin_h__
#define __c4d_plugin_h__

#ifdef WIN32
	#ifndef __PC
		#define __PC
	#endif
#else
	#ifdef __POWERPC__
		#ifndef __MAC
			#define __MAC
		#endif
	#else
		#error "Unsupported OS"
	#endif
#endif


#include "ge_math.h"

#define C4DPL_VERSION 0x0002

// error
#define C4DPL_ERROR					-1
#define C4DPL_ERROR_TYPE		-2
#define C4DPL_ERROR_VERSION	-3
#define C4DPL_ERROR_OS			-4
#define C4DPL_ERROR_MEM			-5

// action
#define C4DPL_INIT_SYS			 1
#define C4DPL_INIT					 2
#define C4DPL_END						 3
#define C4DPL_INIT_VERSION	 4

// the interface
Bool C4D_PlStart(void* p1, void* p2);
void C4D_PlEnd(void);

#endif
