#ifndef MUTEX_H
#define MUTEX_H


class Mutex
{
public:

	static void EnterCriticalSection()
	{
		while( !lock() ) {}
	}

	static void LeaveCriticalSection() { unlock(); }

protected:

	static bool	d_locked;

	static bool lock();

	static void unlock();

};


#endif