//LightWave Plug In Architecture Stuff--------------------------------
//#include <splug.h>
//#include <lwran.h>

#ifdef _WIN32
	#include <windows.h>            // Window defines
#endif



//Standard C Library Stuff--------------------------------------------
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <malloc.h>
#include <math.h>
#include <time.h>

//LightWave includes---------------------------------------------------
#include <lwmodule.h>
#include <lwhost.h>
#include <lwserver.h>
#include <lwhandler.h>
#include <lwmeshes.h>
#include <lwdisplce.h>
#include <lwmotion.h>
#include <lwmaster.h>
#include <lwgeneric.h>
#include <lwenvel.h>
#include <lwvparm.h>
#include <lwmath.h>
#include <lwsurf.h>

//LightWave globals-----------------------------------------------------
static GlobalFunc		*gb = NULL;
static LWDirInfoFunc	*dr = NULL;
static LWMessageFuncs	*ms = NULL;
static LWObjectFuncs	*obf = NULL;
static LWSurfaceFuncs	*sff = NULL;
static LWObjectInfo		*ob = NULL;
static LWItemInfo		*it = NULL;
static LWCameraInfo		*ci = NULL;
static LWSceneInfo		*si = NULL;
static LWBoneInfo		*bi = NULL;
static LWLightInfo		*li = NULL;
static LWInterfaceInfo	*ii = NULL;
static unsigned long prodinfo = 0;
static int lwproduct	= 0;
static int lwmajor		= 0;
static int lwminor		= 0;
static int lwbuild		= 0;


#define LWCOMMANDFUNC_GLOBAL "LW Command Interface"
int ( *evaluate )( const char *cmd );

//static LWCommandFunc *evaluate = NULL;


//Required messiah Host elements----------------------------------------
#define MESSIAH_HOST_MODULE
#include "messiahHOST.h"

