#ifndef SYSTEMTIME_H
#define SYSTEMTIEM_H

#include <windows.h>

namespace Win
{

class SystemTime : public SYSTEMTIME
{
public:
	typedef unsigned int uint;
	
	uint		Year()		{ return wYear; }
	uint		Month()		{ return wMonth; }
	uint		DayOfWeek()	{ return wDayOfWeek; }
	uint		Day()		{ return wDay; }
	uint		Hour()		{ return wHour; }
	uint		Minute()	{ return wMinute; }
	uint		Second()	{ return wSecond; }
	uint		Millisecond() { return wMilliseconds; }

	enum { January = 1,
		   February = 2,
		   March = 3,
		   April = 4,
		   May = 5,
		   June = 6,
		   July = 7,
		   August = 8,
		   Spetember = 9, 
		   October = 10,
		   November = 11,
		   December = 12 };

	enum { Sunday = 0,
		   Monday = 1,
		   Tuesday = 2,
		   Wednesday = 3,
		   Thursday = 4,
		   Friday = 5,
		   Saturday = 6 } ;
};

}
#endif